<app-sidebar [display]="'lg'">
  <div class=" sbar">
    <div style=" margin-top:10%;">
      <div>
        <div class="h-text " routerLink="/dashboard1" routerLinkActive="active-h" (click)="checkSavePage('/dashboard1')">
          <span><i class="icon-arrow-left"></i> &nbsp;&nbsp; กลับสู่หน้าหลัก</span>
        </div>
      </div>
      <br>
      <div class="title-text">ขั้นตอนการสร้างใบคำขอฯ</div>
      <br>
      <div>
        <div *ngFor="let i of render; let in=index">
          <div class="title">
            {{i.title}}
            <!-- No Change -->
          </div>
          <ul *ngIf="i.statusDefule === false; else disabledLink">
            <li class="sub-title" *ngFor=" let sub_menu of i.title_list; let
              num=index" [routerLink]="sub_menu.link" routerLinkActive="active-sub" (click)="checkStatus(); checkSavePage(sub_menu.link)">
              <div class="circle-number" style="margin-left: 32px; margin-right: 15px;"
                [ngClass]="{'circle-number-complete': sub_menu.status == true}">{{num+1}}</div>
              <div class="sub-menu" [ngClass]="{'sub-title-complete': sub_menu.status == true}">
                {{sub_menu.sub_menu}}</div>
            </li>
          </ul>
          <ng-template #disabledLink>
            <ul>
              <li class="sub-title dontclick" *ngFor=" let sub_menu of i.title_list; let
            num=index">
                <div class="circle-number" style="margin-left: 32px; margin-right: 15px;"
                  [ngClass]="{'circle-number-complete': sub_menu.status == true}">{{num+1}}</div>
                <div class="sub-menu" [ngClass]="{'sub-title-complete': sub_menu.status == true}">
                  {{sub_menu.sub_menu}}</div>
              </li>
            </ul>
          </ng-template>
          <br>
        </div>
      </div>
    </div>
  </div>
  <br><br><br>
  <!-- <div (click)="isClicked = isClicked;"> <i [class]="isClicked ? 'fa fa-angle-down toggleClass':'fa fa-angle-down' "
      aria-hidden="true"></i></div> -->
  <app-sidebar-minimizer></app-sidebar-minimizer>


</app-sidebar>